## -i | -ic | -is | -ics: Name des Eingabeskripts

### Verwendung

Sie geben den Namen des Eingabeskripts an, das die auszuführenden DBM-Kommandos enthält.

Geben Sie mit Hilfe der geeigneten Option an, ob die Abarbeitung des Skripts bei Auftreten eines Fehlers abgebrochen oder fortgesetzt bzw. ob der Database Manager nach der Abarbeitung des Skripts im Sitzungsmodus stehen bleiben soll.

Siehe auch:

Tutorial Datenbankverwaltung, Skriptdatei verwenden

### Syntax

-i <file_name> | -ic <file_name> | -is <file_name> | -ics <file_name>

Optionen

Option | Beschreibung
-i <file_name> | Pfad und Name des Eingabeskripts, bei Auftreten eines Fehlers bricht die Abarbeitung des Skripts ab
-ic <file_name> | Pfad und Name des Eingabeskripts, bei Auftreten eines Fehlers wird die Abarbeitung des Skripts fortgesetzt
-is <file_name> | Pfad und Name des Eingabeskripts, nach erfolgreicher Abarbeitung des Skripts bleibt der Database Manager im Sitzungsmodus, im Falle eines Fehlers werden die Abarbeitung des Skripts und der Sitzungsmodus abgebrochen
-ics <file_name> | Pfad und Name des Eingabeskripts, der Database Manager bleibt nach erfolgreicher Abarbeitung des Skripts aber auch nach Auftreten eines Fehlers im Sitzungsmodus

### Beispiel

Aufrufen des Database Manager CLI, Anmelden als Benutzer OLEG mit dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Ausführen der im Verzeichnis C:\test\scripts im Eingabeskript input.dbm enthaltenen DBM-Kommandos:

>dbmcli -u OLEG,MONDAY –d DEMODB –i C:\test\scripts\input.dbm

OK

<reply_to_first_DBM_command_in_script>

OK

<reply_to_second_DBM_command_in_script>

...